Mandriva Linux Security Advisory : gedit (MDVSA-2009:039)

Medium Nessus Plugin ID 37994


The remote Mandriva Linux host is missing one or more security updates.


Python has a variable called sys.path that contains all paths where Python loads modules by using import scripting procedure. A wrong handling of that variable enables local attackers to execute arbitrary code via Python scripting in the current gedit working directory (CVE-2009-0314).

This update provides fix for that vulnerability.


Update the affected gedit and / or gedit-devel packages.

Plugin Details

Severity: Medium

ID: 37994

File Name: mandriva_MDVSA-2009-039.nasl

Version: $Revision: 1.11 $

Type: local

Published: 2009/04/23

Modified: 2013/06/01

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.9

Vector: CVSS2#AV:L/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:gedit, p-cpe:/a:mandriva:linux:gedit-devel, cpe:/o:mandriva:linux:2008.1, cpe:/o:mandriva:linux:2009.0

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2009/02/16

Exploitable With

Core Impact

Reference Information

CVE: CVE-2009-0314

MDVSA: 2009:039